You are on page 1of 6

eyeOS 2.

x Installation Manual
Requirements

▪ Apache

Apache HTTP Server 2.x

▪ MySQL

MySQL-server and MySQL-client 5.x

▪ PHP

php 5.2, or higher

Installation

1. Download eyeOS
If you have not got a copy of eyeOS you can dowload it just clicking this link eyeOS it will show
what file best fits your needs.

2. Unpack & Placement


2.1. Uncompress the downloaded package to your web directory you should see a folder named
eyeOS with 4 to 6 files and folders (depending on eyeOS version).
2.2. After we do that If we are On a Unix meshen we need to chmod 777 our eyeOS folder
2.3. Open a command prompt(terminal) Do as super user most do "sudo" or "su root"
EX. #sudo chown -R www-data.www-data /var/www/eyeOS (change www-data to your
apache user.)
EX. #sudo chmod 750 -R /var/www/eyeOS
replace /var/www/eyeOS as needed

3. Installation
3.1. Open your browser and navigate to
• On local Computer from home setup or Portable media
http://localhost/eyeOS/install
• On a Hoster
http://xxx.yoururl.xxx/eyeOS/install
You should see a screen like this

3.2. Follow the instructions. If you have some System requirements not installed on your server,
please, take a look at Installation FAQ to know how install and configure them.
3.3. Fill the required information to finish the installation!
3.4. Configure the mod-rewrite on Apache

1)Execute
a2enmod rewrite

2)Edit
nano /etc/apache2/sites-available/default

Change, at <Directory /var/www/> the variable AllowOverride to All

3)Restart Apache
/etc/init.d/apache2 restart

3.5. Install exiftool in order to be able to extract mp3 infos


apt-get install libimage-exiftool-perl
3.6. Please remember to remove the install directory after a succesfull instalation.

But... I still have problems...


Please, visit the eyeOS Forums. There you will meet other eyeOS users and developers which will
help you!

Installation FAQ

I need the Curl extension but I have not it. What have I to do?

You have to run the following command


apt-get install php5-curl
I need the GD extension but I have not it. What have I to do?

You have to run the following command


apt-get install php5-gd

I need the Mbstring extension but I have not it. What have I to do?

Nothing. It comes with PHP5

I need the mcrypt extension but I have not it. What have I to do?

You have to run the following command


apt-get install php5-mcrypt

I need the Mysql extension but I have not it. What have I to do?

You have to run the following command


apt-get install php5-mysql

I need the Mysqli extension but I have not it. What have I to do?

You have to run the following command


apt-get install php5-mysql

I need the SQLite extension but I have not it. What have I to do?

You have to run the following command


apt-get install php5-sqlite

I need the PDO extension but I have not it. What have I to do?

You have to run the following command


apt-get install php-db

I need the PDO Mysql Driver but I have not it. What have I to do?

You have to run the following command


apt-get install pdo-mysql

I need the PDO Sqlite Driver but I have not it. What have I to do?

You have to run the following command


apt-get install pdo-sqlite

I need the Json Support but I have not it. What have I to do?

You have to run the following command


php5 (this is included in the PHP5 packet by default)

I need the Python but I have not it. What have I to do?

You have to run the following command


apt-get install python-support

I need the Python SimpleJson but I have not it. What have I to do?

You have to run the following command


apt-get install python-simplejson

I need the Python Uno but I have not it. What have I to do?

You have to run the following command


apt-get install python-uno

I need Stomp.py but I have not it. What have I to do?

You have to go to http://code.google.com/p/stomppy/ and follow this steps:

1- Download the last version


2- run the following command
dpkg -i stomp.py_3.0.2_all.deb (or the version downloaded)

If you get no errors is done.

In case of error:

1- Add the testing repository: deb http://ftp.debian.org/debian/ experimental main non-free contrib
2- Run the following command
apt-get update
3- Run the following command
apt-get install python-support (important! only this package)
5- Remove or comment the testing repo.
6- Run the following command
dpkg -i stomp.py_3.0.2_all.deb

I have problems with the PHP.ini. What have I to do?

Configure the PHP.ini:


• error_reporting = E_ALL & ~E_NOTICE
• display_errors = Off
• max_execution_time = 30
• max_input_time = 60
• memory_limit = 128M
• post_max_size = 200M
• upload_max_filesize = 100M
• allow_url_fopen = On
• disable_functions =
• safe_mode = Off
• short_open_tag = On
• magic_quotes_runtime = Off
• file_uploads = On

I need the Recoll but I have not it. What have I to do?

You have to run the following command


apt-get install recoll

I need the Open Office Deamon but I have not it. What have I to do?

You have to run the following command


apt-get install openoffice.org

• Be sure www-data is able to write his own home (take a look at /etc/passwd to find out
www-data's home, and set the right permissions if needed)

• OpenOffice daemon must be launched by www-data user, by doing:

'su www-data'
'soffice "-accept=socket,host=localhost,port=2002;urp;" -headless'

• If it does not work, then we need the X server; in a debian based system, we can fix this
problem by doing:

'apt-get install xvfb'


'soffice "-accept=socket,host=localhost,port=2002;urp;" -headless -display :1.0'

I need Java but I have not it. What have I to do?

You have to run the following command


apt-get install sun-java6-jre for this you need the non free repos: deb
http://ftp.us.debian.org/debian/ lenny main contrib non-free

I need the Kaazing Gateway and the ActiveMQ Deamon but I have not it. What have I to do?

You have to
1- Download this file: http://kaazingcorp.cachefly.net/org/download/kaazing-gateway-demos-
8.12_2-bin.tar.gz
2- Extract it with tar -xzf kaazing-gateway-demos-8.12_2-bin.tar.gz
3- Configure it:
• Copy /your/path/to/eyeos/extras/netSyncCONF/apache- activemq/conf/activemq.xml into
/path/to/downloaded_kazing/apache-activemq-5.1.0/conf/

• Copy /your/path/to/eyeos/extras/netSyncCONF/kazing- gateway/conf/gateway-config.xml


into /path/to/downloaded_kazing/kazing/conf/

• Edit /path/to/downloaded_kazing/conf/gateway-config.xml and change <service_domain> to


*.*.*.*

• Edit /path/to/downloaded_kazing/conf/gateway-config.xml, find all the entries with the ip


address 192.168.1.62, and change this entry to your server ip address.

Once Kaazing is installed, open /your/path/to/eyeos/settings.php, in the

“//ACTIVEMQ URL” section, and edit the following entries:

the 'ACTIVEMQ_DESTINATION_URL' must be setted to


'ws://your_server_ip/activemq'

(the ports 80 and 8000, 8001 must be open from outside)

4- Execute the 2 services with:


first command: nohup ./apache-activemq-5.1.0/bin/activemq &
second command: nohup ./kaazing-gateway-8.12_2/bin/gateway.start &